Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Is there a Windows Media Player plugin for Windows 7?

  • 9 uphendule
  • 3394 zinale nkinga
  • 4455 views
  • Igcine ukuphendulwa ngu Prophit319

more options

Firefox tells me I need to manual install a plug-in for Windows Media Player but when it takes me to the plug-in it is only for Windows Vista and earlier Windows versions. Should I install that plug-in or just not bother, as for some reason the content plays anyway?

All Replies (9)

more options

I have been using the plugin available from port25 in Windows 7 using WMP 12 with no problems.

more options

Thank.s TonyE. Since it said for Vista and earlier I wasn't sure. I'll try it - can always uninstall later if there's a problem.

more options

http://www.interoperabilitybridges.com/html5-extension-for-wmp-plugin

fixed the hyperlink - moderator

follow this link & there is a download that i found. after installing firefox was able to detect windows player even though it was already installed on my computer. no probs now. hope it works for you . good luck

Okulungisiwe ngu the-edmeister

more options

WMP plugin craps out when I go to XM satellite raio NO SOUND Please Fix Soon!!!

more options

Thanks(OBRIGADO)!!11

more options

@hispanicraven That totally did the trick! ;) Thanks!! WMP 12 FF 3.6.17

Okulungisiwe ngu capitanqueso

more options

Be aware that there are reports that the WMP HTML5 extension available from http://www.interoperabilitybridges.com/html5-extension-for-wmp-plugin leaks memory.

When you install the extension, it will also install the WMP plugin. If you do not need the HTML5 features that the extension adds, you can then uninstall the extension. I found that when I did this it did not remove the WMP plugin, so you can still use sites that require the WMP plugin.

more options

thank buddy

more options

honestly its only compatible with firefox 3.something and 4.0... i have 8.0... what am i to do?